CHANGES
=======

* disable debugtoolbar if it's production env
* fixed documentation

4.15.0
------

* fix: dependencies..
* doc update
* doc update
* update bullets doc
* fix broken osuse repo url
* Update documentation by executing
* Add spaces to API creds request form, minor typos
* pbr..
* add tuakiri disabling feature
* added option to disable TUARKIRI via config
* improve messaging
* increase coverage..
* finalized email notification via webhook
* added email notification..
* Fixing test case
* Changes for making assertion only when employment or education item doesnt appear on researcher profile
* return URL added
* Fixing code coverage
* queuing stuff placed in a separate module
* Setting first\_name and last\_name in the funding, peer-review and work invite
* disable rq if redis is missing..
* added a simple scheduled task viewer
* improve coverage..
* improve coverage..
* added disbaling the webhooks, and enabling for newly affiliated users
* fixed creation for local webhooks
* fixed imports
* fix scheduler to avoid duplication of scheduled jobs
* fingers crossed..
* org webhook added
* added enable/disabel org web hooks
* # or onboarded organisations in the user summary .
* ..
* Fixing coverage and unit test
* FIxing unit test
* Moving the visibility element to work and peer review invitee block
* Moving the visibility element to funding invitee block
* prepared model for org webhooks
* fixed issues with passing kill siganl to the worker and restart of the worker..
* Fixing the bug in orcid redirect url
* removed SALT, fixed invitation..
* Either {MESSAGE} or {INCLUDED\_URL} should be present and not both
* Adding delete option for all uploaded task views
* Adding test coverage
* Now Admins can not  delete themselves they have to contact super user to be deleted, Also fixed the flask admin bug of multiple select and Delete
* Now Admins can delete themselves they have to contact super user to be deleted, Also fixed the flask admin bug of multiple select and Delete
* broken dependencies..
* revoved delimiteres ..
* still need access from the host
* fixed access to DB from all solution dockers..
* fixed tests; improved swagger UI: 1) prefill client\_id/client\_secret; 2) selection of APIs
* Allowing organisation's disambiguation id and source to be null when they lack ORCID valid ids
* fixed specs and tests
* quickfix..
* refactored data APIs out of the HUB APIs; added pagination
* Fixing unit test
* Stop users from customizing mail template without {MESSAGE} and {INCLUDED\_URL}
* travis fix
* Adding coverage
* added documentation on DB recovery..
* Changes in single invite flow, that is to add affiliations on researchers orcid profile if we already have token for that researcher
* completed refactoring with Vue.js
* added cofirmation and vue.js/axion implementation..
* migrate angular.js to vue.js
* quickfix
* fix configuration
* restructured and fixed docs
* increase coverage
* more tests, less deadwood
* adde 401 and 403, and consolidated 500 handling..
* fixed tests, token API
* fixed access rights to users
* fix: retrieve only users org tasks
* more deadwood
* fixed test, more deadwood
* got rid of deadfood
* added feature to change org disambiguation using UI
* adding disambiguation data
* fixed test for batch processing..
* fix coverage
* fix coverage
* fix coverage
* added schedule for task expiration..
* fixed tests
* fixed formatting..
* code dried out a bit
* Fixing travis-ci unit test
* Fixing bug for token expiry field is not getting populated
* implemented queueing with throttling ..
* setting with celery..
* fixed flash messages, so that messages can contain html
* Changes after review
* Removing the disambiguity from field name
* Fixing bug for single user invitation
* Adding fix for clickhijacking
* Minor changes after review
* Coverage fix
* Travis fix
* Fixing path traversal security bug
* ..
* fixed tests and admin revoking function, too
* upgrade docker-compose.
* swap to V4 as the prod branch..
* Create pg\_upgrade.rst
* still need to setup password for the DB connection
* downgrade compose to make it work on aws..
* downgrade compose to make it work on aws..
* updated pip
* ready for pg migration..
* Changes after review, Adding validator package currently for email validation, but can be use for other validation as well
* Removed the condition of getting filename and then opening it, through browser upload there will be always data to upload and not the name of file to upload
* fixed dependency conflict
* Adding + in email Regex, for detail validation validate-email-address package can be used
* open access to db from app node
* Unit test fix by not enabling csrf for dev
* Reverting csrf token protector changes to using secure forms
* csrf fix
* ..
* fixed version numbers
* added support for rq
* Update index.rst
* Adding orcid api swagger reference document
* Changes for removing data discripancy between orgInfo and organisation table
* Changes based on review comments
* improve CSRF protection
* refactored form rendering to take advantage of call/endcall
* imporoved field validation to show invalid field in a different color
* branch for V4 release..
* improved coverage..
* removed the bit that can't be reached
* fixed headers
* Fixing coverage
* Adding contributor-email as a optional field in Funding and Work Record
* Fixing the swagger put\_code bug while updating GroupID record
* Adding drop down for allowed types in GroupID creation, and Adding help text for Organisation Admin in GroupID creation
* Typo in API reg menu
* ignore all mocking tools
* added data sotring to the user summary
* improved webhook handler for the demo.
* spelling..
* added fileres, unittest for apis
* Changes for ORCIDHUB-292 which is saving orcid token under correct organisation, in case the researcher has got two invite from different organisations and also loading the current user profile page with current organisation and not the organisation from which the invitation was last sent
* added filters to the member views
* added query aparameters to the swagger spec..
* Changes after review
* added query filters
* fixed is\_valid\_url test
* removed scope as we discussed that
* Changes for displaying expiry date right from first day, also added a field to know if task expiry email is sent or not
* Adding unit test for coverage
* Travis unit test fix
* Fixing Unit test
* Adding expiry of 15 days when the invitation is sent after the reset
* Keeping the tech contact, org Admin invitation expiry to 15 days, Whereas changing the Researcher invite expiry to 30 days
* added job scheduler
* individual user invitation turned into async task..
* added all depedencies for queing
* fixed tests..
* fiexed shource.
* fix + update handler mock for demoing..
* Adding unit test to improve coverage
* Adding extra condition for checking external-id of peer review record, so that correct put-code is taken for updating record
* slighly dryer..
* Adding unit tests
* Adding schema validation for peer review
* added user linked acconts via ORCID ID
* Preselect the organisation field in groupidRecord
* we can always push to dev
* added token revocation and deletion
* Fixing the export for peer review by using same export scheme as funding and work record
* Completed changes for peer review records by adding orcid call and peer review task completion mail
* Adding reference to view peer review item
* Minor changes after Rad's suggestion
* set master for UAT environment
* Changes for uploading peer review record
* sanitize date value before parsing it dropping extra characters
* Updating some changes for groupIdRecord
* added scope support..
* added deletion of the webhooks
* added test for main scenario. TODO: more testing, DELETE
* added client webhook registration..
* Minor change in the location of group id record
* Initial changes for adding GroupID record
* so far..
* refactored to use with any scope ..
* fix: testing..
* quickfix.
* added access token generation..
* fixed ORCID client tests and added more coverage..
* orcidtoken table changed to store client credential authorization tokens
* Updated changes as per review
* Combining the two condition as per review comments on ORCIDHUB-286
* Done changes after review comments
* Changes for correctly updating the roles of the old technical contact once he is no more the technical contact
* Changes for deleting user invitation when doing invidual reset
* Minor changes for individual reset; for affiliation records the user invitation were not deleted, when users select multiple items for reset, so fixing the condition to delete user invitation for all selected items
* Adding unit test condition to increase coverage
* Fixing Unit tests
* Minor changes for showing the admin correct error related to ORCID iD while uploading
* duplicate encoding line..
* added async handing of the callback..
* Minor unit test changes after review
* Removing extra data from unit test and increasing coverage
* Adding unit test for works
* added place holders for webhooks..
* Adding unit test for uploading work file
* Adding unit test for model
* As per the suggestions from Rad, removing the XOR logic as it was making the logic more complicated to understand
* Minor refactoring after Rad's review
* Adding more info related to expired invitation token, removing repeated logging of error
* Adding schema validation for works input file
* more specific HTTP status codes
* Fixing unit test after doing changes for Orcid logout
* Changes for force logout from ORCID in flow of invitation and login via ORCID
* added POST, PUT, DELETE handling..
* refactored proxying to facilitate the rest of methods
* Fixing my merge mistake
* Only do the bitwise XOR in case if superuser is present in roles, otherwise on every edit and save of user from flask admin view the 'is superuser' checkbox gets toggle
* Fixing the condition of Display name
* removed unnecessary taks lookup
* implemeted GET proxying and covered with tests
* Changes for ORCIDHUB-280, i.e. remove completed\_at and expiry date of task when 'individual select reset' is done, now the individual select reset matches the behaviour of 'reset all'
* Fixing the bug of email id(which is returned from orcid) not converted to lower case
* Adding check to get task\_id while using can\_edit and can\_view\_details functionality for the affiliation/funding/work records
* Updating changes related to  publication\_date
* Fixing the export functionality for funding and work new schema
* implemented proxy for GET requests
* Changes for putting admin in cc only in case of single one to one invite and not in case of batch process
* housekeeping..
* Completing the changes for funding schema
* Fixing unit test for new funding schema
* Adding changes for new funding schema
* Completing the changes for work's new schema with invitee
* code skeleton..
* Changes for work schema
* improved YAML redering
* added int to put-code
* more testing..
* Refactoring code for funding and work invitation, plus other minor changes related to works
* Refactoring funding export to make it suitable for works as well
* handle task removal..
* added YAML support
* fixed tests
* added memeber deletion and more testing..
* replaced favicon with white background
* fixed schema..
* fixed specs, added even more tests
* Minor fix for not displaying setting menu to normal researcher
* Fixing the bug related to setting menu, where the normal researcher with no admin priviledges was able to see settings menu
* handling of missing task\_id + more testing
* atributed customization for ORCID iD fiels w/o paramters
* let's add head
* added affiliation task API
* Adding reset functionality to works
* Adding changes for creating or updating work records
* Changes for processing work related tasks and sending work invite
* Changes for adding work record contributors
* Changes for displaying external id info for works
* Adding changes to display work view
* fixed tests
* fixed source
* ordert by org name
* count w/o repeats..
* ..
* Adding changes related to uploading works
* fixed links..
* improved org logo presentation in the admin view
* improved org logo presentation in the admin view
* Adding model for works
* more tests..
* Initial changes for uploading works
* reusing ID and fixed countlry mapping..
* added restful package..
* added restful package..
* refactored orcid record editing, fixed tests
* added viewmemebers tests
* Adding unit test to increase coverage
* added editting..
* Fixing travis and adding unit test
* added lable to the model view..
* 1) datetime presentation in local time; 2) improved tests..
* Unit test fix
* Changes as per review comments
* Changes related to updating task expiry date
* Showing the message of permission already given in case user tries old invitation token, changes for https://sentry.io/royal-society-of-new-zealand/nz-orcid-hub/issues/453261396/activity/
* improved error message + more testing..
* fixed reporting ..
* Complete changes for reset all, funding and affiliation records
* improve queries..
* Changes for putting reset all in funding records
* exprot only ORCID ID value; reduced limit for stats; added missing dependencie
* lock peewee-\* versions
* fixed tests..
* Prod V3 patch for sorting funding contributors
* Adding funding default sorting to flask admin funding records
* Now the Funding Contributors will be inserted in ORCID funding record in the same sequence as given in funding input file
* improved ORCID ID fromatting in the model views..
* Adding default sorting to flask admin based on id, so that the view will not changes when there is an update to any column
* refactored test. some test data added to the fixtures..
* Fix bug related to funding record status and task iteration
* Taking the whole condition out of for loop in order to avoid repeatative status update and task checking
* Update docker-compose.yml
* added reset button to the log
* Update docker-compose.yml
* openpyxl downgrade to 2.4.11
* fix for the issue https://sentry.io/royal-society-of-new-zealand/nz-orcid-hub/issues/447012094/
* added 'included\_url'
* Travis fix
* Minor changes to fix user message of invitation token expiry
* Fixing unit test
* Unit test fix after invitation token change
* Minor changes for correctly handling https://sentry.io/royal-society-of-new-zealand/nz-orcid-hub/issues/438667832/ issue
* fixed tests
* Removing unused code
* fixed urls using args
* fixed urls
* added tests to cover api and api documentation
* Adding Unit test for authcontroller
* use CDN for swagger-ui
* Adding some test case
* Adding unit test for report.py
* Removing init.py from coverage
* Added V3 patch: putting inviter as a CC while sending affiliation email
* Added inviter as a CC while sending affiliation emails
* spell cheching..
* Adding unitest
* missing attributest
* added limiter and fixed link for API documentation..
* added rate limiter..
* removing config file from coverage
* more testing..
* Adding unit test
* Adding unit test
* improved API documentation
* prepared to merge into the master..
* compelted oauth provider tests
* Adding unit test for coverage
* orcid api client tests..
* Updating reset functionality of Affiliation record and funding record
* more data API tests
* Updating or fixing funding and Affiliation record reset functionality
* more testing ..
* modified access to the org. email template and log
* Adding more unit test for views
* fix + testing..."
* Adding unit test
* email template tests
* Adding unit test
* added testing of API, fixed ORCID ID validation and access check for API
* the authorization decorator should be placed behind the route decorator
* Quick fix for bug Nonetype https://sentry.io/royal-society-of-new-zealand/nz-orcid-hub/issues/438029314/
* Bug fix for https://sentry.io/royal-society-of-new-zealand/nz-orcid-hub/issues/438029314/ and adding unit test
* travis-ci fix
* Adding unit test
* 100% coverage of process\_tasks
* removed unused iports
* .
* removed a redundant brench..
* org template ..
* more tests, less bugs..
* more tests, less bugs..
* more tests; chucked out unused bits..
* fixed tests.
* removed unused bits. email gets sent with app context
* fixed names and added affiliation record proecessing handling..
* Adding more unit test on views
* more testing with emailing..
* improved button layout and handling the case with empty data sets
* Fixing broken unit test
* added API client application registration..
* Adding more test case
* Adding unit test on views
* a view view improvements.
* Update docker-compose.yml
* fix: build
* include seting for the locale in the image
* consolidated app image version varsions
* fixed HTML5 for all custome code
* Travis unittest error fix
* Travis ci fix
* Travis-ci fix
* Adding more unit tests
* common CA certificat for all environments..
* Update README.md
* imporoved logout test
* Exclude init.py and cli.py from coverage report
* Adding unit more unit tests
* renamed the rest of the links..
* master uses the most recent image..
* fixed tests
* added test for 'status' entry point
* added ping entry point for application healthcheck
* ..
* improved validity of the index, about, faq, and other pages
* Adding more unit test for authcontroller
* Adding unit test for authcontroller
* added failed affiliation record handing and test for that ..
* Changes for removing local sentry configuration in production
* Changes for fixing bug https://sentry.io/royal-society-of-new-zealand/nz-orcid-hub/issues/430131987/
* Update .travis.yml
* added a test for batchprocessing
* Fixing small bug to update funding status in case there is nothing in funding status
* added new doc entries..
* 'login' renamed into 'index' to accuratly reflect the function of the view
* missing bits for building docker images
* Increasing the default 80 max\_length to 255
* Fixing funding status in case of exception
* fix..
* ..
* Adding changes for removing the funding record from batch process if there is an exception occured while making a ORCID call, this the admin will get an email saying, there was an error in processing and then he can make necessary changes and reset the funding record, this functionality will help us to avoid making call to orcid every minute in case of exception
* Minor fix for checking if the role is present or not, before uppercasing
* Adding unit test for affiliation records
* Increasing code coverage for utils
* remove base template from email templates..
* Fixing travis

v3.0
----

* prepare V3 production branch..
* Adding more unit test for model
* swagger generation for DB API
* Adding funding email unit test
* Improving UnitTest to increase coverage
* ..
* Fixing reset functionality to work for funding record as well
* fixed resetting of records
* refactored admin views for records
* added not found page and handling of 404
* Mocking out email sending; monkey patching instead of sending real mail each time the test runs
* Since all the email functionality is moved to utils.send(), so removing flask\_mail
* If there is no external id with relation self, then take first one from part\_of
* Enhancing the funding export functionality with the suggested changes related to external ids
* Flake8 docstring fix in the checked-in code
* Travis-CI fix
* Changes for exporting funding record in required format and also fixing minor bug ORCIDHUB-249
* Fixing put-code issue for funding, and also corrected the flow for sending email in case of funding
* commond bits of record models factored out to RecordModel..
* fixed code..
* quickfix..
* added task search
* .
* .
* .
* .
* .
* .
* .
* .
* .
* .
* fixed naming..
* added task expiration ..
* Adding Sentry reference in config
* Travis-ci fix
* Fixing the Funding Record Export functionality
* fix: is\_anonymous
* .
* .
* .
* .
* .
* .
* .
* .
* addded logo support
* .
* .
* .
* .
* .
* testing..
* testing..
* addded template testing..
* Removing the year word from appearing in middle of current year and next year, when the date is not given
* Fixing unit test for selected value will be supplied year, the year dropdown will not start from current year
* Fixing small bug related month and year
* Added the ability to specify fuzzy date in future
* Initial changes related to custome funding export
* added templates..
* addded logo support
* added field for 'logo'
* Changes for ORCIDHUB-244; Adding reset in funding contributors UI
* imroved formatting..
* added mock of tuakiry..
* Fixing None-Type bug while getting Task\_id
* Minor changes to make email lowercase in funding contributors
* Uncommenting funding access for dev environment
* Adding back button and also Adding the last merge missing code for external id table
* Overriding the render function for funding; TODO: have to remove common code between funding and affiliation record
* imroved viewing of affiliation records .
* converted troubleshooting and sendmail cnfig part to rst.
* exclude tests from the coverage report
* added RTD status..
* tests moved to 'tests'
* fix dependencies for doc build
* consolidated edotro config..
* try with conda
* extras..
* fixed logging from command, added more documentation about dev env
* skip production branch for dev
* quickfix..
* lock to the docker version v2
* imlement  app command inderface..
* ommit run.py and appliction.py..
* fix: flake8..
* testing automated deployment to UAT env
* Update index.rst
* perhaps we can use git pages..
* Create CNAME
* fix RTD build..
* exclued orcid\_api (swagger\_client...)
* ..
* Adding Missing translated-title language code element in funding records
* ...
* image build fails ..
* Changes for sending a mail to admin once the whole funding record is completed
* workaround ..
* workaround ..
* Fixing bug in funding reset functionality
* attempt to force python3.6
* fix Python  search paths
* added readme part to the inxex..
* Have to add dependency on app in order to sentry worker to fetch error message
* added an extra domain sentry.ENV.orcidhub.org.nz
* config for ssl for sentry..
* .
* Adding SendMail configuration to sentry
* flake8 seams to ignore setup.cfg when added more sections
* soucre formatting and flake..
* ci fix
* include swagger generated docs too
* simpler structure..
* Fixing flake: adding doc string to new render function
* Fixing the travis
* Tavis fix
* Travis Flake fix
* Update views.py
* fixed..
* fixed..
* set up sphynx
* swagger gnerated code moved to the root..
* interating orcid swagger generated API ..
* Changes for adding sentry, redis into docker-compose file
* Changes related to fixing email regex
* config should be taken from app.config[...]
* fixed tests
* In the ORCID invitation flow the current user was getting switched if there is a user in db with same orcid id, so did a fix and also corrected a bug of making country as optional parameter while uploading affiliations
* ..
* ..
* explictly push to the current branch..
* use test..
* setup includes all dependencies including oric\_api, for dev and testing too
* automated deployment to UAT env..
* Restriciting the country value in affiliation record restrict to ISO 3166-1 alpha-2
* Minor change related to showing exact error in status field from orcid instead of 'NoneType' error
* ..
* use pre-generated swagger-client, fix: docker image builds, static file reference, pip requirements.txt etc
* docker image build with pre-generated ORCID API client
* romove the current schema (need to get a working one)
* replaced with previously generatd orcid api swagger client..
* current schema..
* fixed ui for application registration and integrated into the app. added flag can\_use\_api
* added cli command orcidhub for futher flask customization
* fix..
* superuser creation parametrized and factored out as a separate command
* ..
* Discarding visibility for funding upload, removing email as it is optional and default set to private, making contibutor.role as uppercase, because it is case sensetive from orcid side, orcid funding api call is expecting external\_type as 'grant\_number'
* Setting the visibilty to public if uploading file doesnt contain visibity for funding record
* missing setup of the package
* fixed script to run processing..
* added script to run app
* added local configuration
* Travis Flake fix
* Fixing the bug for allowing uploading of file if any element is not there, as well as increasing size of short\_description field
* new build.
* Adding this file in order to make debugging easy in pycharm
* fixed coverlars config
* fixed formatting..
* [skip ci] need to merge asap
* fixed pyflake8
* fixed complyence with flake8
* [skip ci] fixed import to refer to use the app package..
* [skip ci] fixed import to refer to use the app package..
* [skip ci] ..
* restructured source into a package..
* Create CNAME
* Set theme jekyll-theme-minimal
* tesing GitHub pages for docs..
* ..
* ..
* ..
* scopes are required..
* missing schema objects.
* added securty data to the spec.
* swagger schema 2.0 doesn't supprt dataTime type
* ... some YAML
* Minor formatting for fileupload page
* Minor UI formatting
* disable strick slashes.
* Prod patch for change date guidance to match current code
* missing templates .. a few fixes
* Minor bug fix patch for production related to fixing broken link and fixing manual update
* Update application.py
* Fixing broken external links
* Update application.py
* Update application.py
* ..
* Update index.html
* Update index.html
* ..
* Handling multiple funding data objects
* added schema
* formatting
* added user presents test
* Fixing None type bug related to funding schema validation
* integreated oauth client credential authentication wiht peewee-rest
* Fixing the condition for manual employment or education entry; Now the ORCID record of selected user is updated instead of the Admin or current users orcid record
* Change date guidance to match current code
* temporarely removed upstream changes..
* fixed dependencies..
* fixed formating and naming..
* Commenting html code so that funding info is not accessible in production
* Production patch containing changes for superuser to see tasks
* fixed UI
* impolemented application registration ..
* Added changes for Admin to be able to view tasks
* rebuild docker images with new requirements
* so far ..
* Flake fix
* Travis-CI fix
* Completing the changes related to funding schema validation
* Update models.py
* Update org\_invitation.html
* accept alternative fuzzy date formats
* improved UI, added DELETE function
* completed user permission management..
* ..
* added extra routs to virtually static content pages..
* Update index.html
* intial funding schema validation
* Fix body link to /about
* added abitlit to search a researcher by names too
* was fixing an issue with broken login form /uoa-slo ... did some DRYing..
* Updating the funding record reset functionality
* so far..
* fixed issue with row search.
* Flake and Travis-CI fix
* Adding funding external id flask admin view
* Fixing some issues and updating the correcting flow for funding
* fixed code to comply with E722
* fixed code to comply with E722
* for email address default value to ''
* increase uploaded file size to 10MB
* Changes for linking funding contributor to funding record and also adding yaml support for file upload
* Added extra message when the tech.contact gets changed
* Funding records bug fixes
* redirect user to 'my-orcid' instead of 'signin'
* redirect to ORCID profile instead of signin
* Changes for creating or updating funding of an individual, if token is not present then send him an invite
* ..
* ..
* Adding the query for retriving tasks related to funding items
* fix..
* service stub added..
* ..
* the same fuctionality w/o extra api call roundtrip
* user orgs retrieval api added
* ..
* Adding Activate processing feature to funding records
* fixed bugs with model
* so far..
* Updating the funding functionality with DB changes and flask admin UI changes
* log exception too
* show an error flash message instead of raising an exception..
* use the latest Postgres bugfix release
* added constraints on fields and validation layer befor inserting data into DB
* Complete Title description for Employment
* Travis fix
* Initial changes for Saving the funding data into db
* fixed issue with joinded is\_admin field..
* started working on user organisation management
* added a test for the setter
* fixed docstrings..
* fixed models
* new models..
* added setter to User 'is\_superuser'
* Add whitespace around operator
* Emphasize responsibility for writing affils, ORCIDHUB-211
* a new linting requirement to ignore..
* use ornaisatin name coming thrue affiliation\_record
* recovered reporting and UI submenus
* imrove error logging and enable ORCID loging on production

v2.0
----

* allow login for existing usesrs..
* removed temporarily ZAP..>
* fixed testing ..
* disable zap untill it gets resolved ..
* removed the demo handler..
* fixed formatting..
* added reference to task to the user invitations so that can track and reduce row duplication in the query..
* Update README.md
* deny access to users w/o affiliations coming from TUAKIRI
* fixed formatting..
* fixed backup vacuum-ing..
* added sentry ..
* more testing..
* more from tests
* adding extra waiting for PG starting up
* exclude tests themselves from the coverage report..
* wait for 'PostgreSQL init process complete; ready for start up.'
* fixed travis config file
*  ..
*  ..
*  ..
*  ..
*  ..
* fixed tests
* reduce output..
* reduce output..
* restructure travis steps..
* supress escaping..
* Fixing the bug for ORCIDHUB-204; Once the user has authenticated with ORCID, we shouldn't force logout for them to follow the link inside the Hub
* .
* Minor changes
* .
* Minor changes for ORCIDHUB-204
* Correct Capitalisation on About
* Fix Breaking Spaces in RS and FAQ Typo
* .
* Initial changes for funding
* Fix Typos/Style in Login, About, and FAQ
* email text improvement
* travis-ci fix
* travis-ci fix
* Changes to avoid muliple email sending for same email address
* Bug fix for non-tuakiri members who has state as None attribute field, So avoided 400 error from orcid
* Jason's changes
* Changes related to ORCIDHUB-199 and ORCIDHUB-200
* Restructured log-in and new FAQ
* Bug fix
* Update linking.html
* Changes related to ORCIDHUB-197
* Bug fix related list mutable object: the value of SCOPE\_AUTHENTICATE was changing while doing the flow twice
* .
* ..
* Travis fix
* Update auditing.sql
* improved DB maintenance..
* Update auditing.sql
* Update auditing.sql
* Minor fix
* added reporting and restructured menu
* fixed organistaion name form field name
* Some fix
* ... so far..
* fixed tests..
* form uses the common create\_or\_update ..
* improved logging: log only changes, skip inserts (the current record)
* form uses the common create\_or\_update ..
* ..
* Changes to fix if user removes his organisation from trusted list and his admin tries to reset the affiliation record entries
* refatored out the record creation ... TODO: fix forms
* improved DB creation ..
* added automatic audit table genration..
* Minor bug fix
* Update authcontroller.py
* fixed: added PartialDate formatter..
* added update of the 'dummy' profile entry
* Changes for ORCIDHUB-192 and ORCIDHUB-193
* added tooltips..
* Zap try
* .
* trying out
* Minor ZAP changes
* added retrieval of full researcher profile; DOTO: sync entries with CSV
* Putting ORCID ID in affiliation Records
* fixed tests: select/first does't raise an exeption; added another test..
* fix: look for the user by alernative emails and/or eppn
* Travis-fix
* Minor change
* Bug fix
* Employment and Education record creation fix
* admin UI improvements ..
* show the tracking stats on the edit page
* added api credential requestiong handlinbg..
* model changes ..
* workaround to exclude duplicates..
* test commit..
* removed zipped swagger client..
* removed debugging..
* mandated flake8 validation..
* added reporting test ..
* fixed documentation ..
* fixed tests and reports..
* Updating the changes for ORCIDHUB-173
* ..
* fixed modes.py
* fixed formatting..
* no need for \_\_init\_\_.py with python 3
* fixed mail.py and removed deadwood..
* fixed docstrings of forms.py and removed deadwood
* removed file monitoring, depricated
* fixed docstrings of failorver.py
* fixed docstrings of orcid\_client.py
* fixed docstrings of view.py
* Seperate Audit trial for ORCID Authorize Call
* fixed docstrings of authcontroller.py
* ..
* Update authcontroller.py
* ..
* swaggar client..
* added code quality check..
* Minor changes
* improved mail lontent, removed .plain to reduce code footprint
* re-addded errror handling and more meat to the invitation message
* Installing ZAP in docker
* Changes for zap integration
* 
* 
* Unit test
* added 'external id' import ..
* quick fix: missing template ..
* [skip ci] added External ID
* travis fix
* 
* improved message and refactored email templates..
* single uer invitation handling
* Update index.html
* ..
* improved uploaded file validattion
* Typo and small change in wording
* Update fileUpload.html
* show only for affiliation upload..
* added description ..
* Adding unittest for views
* fixed naming..
* let's user 'disambiguated\_id' and 'disambiguation\_source'..
* ... [skip ci]
* Adding Audit trails for authorisation
* improved data modification using a single UPDATE ..
* imroved UI..
* workaround for row actions..
* travis fix
* Improving code coverage
* Changes for processing all records related to current task
* Travis fix
* restricting access to the data form ADMIN..
* ... [skip ci]
* improved sinle user inviation. minor formatting improvements..
* idetifier split into email and orcid ... a few other improvements..
* ... [skip ci]
* ... [skip ci]
* Minor change to avoid repetative email sending
* UI improvements..
* Minor fix
* fixed completed\_at..
* update task completion datetime..
* added update, logging, put-code storing, result export, and notificatin message..
* Travis fix
* Changes to merge /auth and /orcid/auth
* added task viewing and fixed issues with active navigaion menu item
* something odd is going on..
* run full vacuuming before full DB backup..
* archiving keeps failing  if the WAL file is already archived
* travis ci failed to deploy to dev because it is using unlisted IP address: 35.192.161.21..
* fixed exception tracing ..
* missing package..
* removed alum..
* missing packages for the current master..
* ... [skip ci]
* ... [skip ci]
* Minor change to remove token from organisation onboarding
* Changes related to ORCIDHUB-169
* removed error messages at the login stage..
* added removal of 'stale' invitations ..
* added PRIVATE + a few minor improvements..
* fixed template..
* dramatically refactored on-boarding..
* added cascaded deletes..
* Update process\_affiliation\_records.sh
* Minor fix in the Orcid flow
* refactored the inviation path..
* Minor fix related to client secret
* improved exception tracing, logging and default handlig
* fixed tests..
* "alum" doesn't imply education affilation
* fixed issues with keys..
* Updating changes for education affiliation as well
* improved switch..
* tech.contact invitation DONE..
* completed on-boarding via ORCID..
* fixed client id for tech.contact..
* sorted out URLs..
* Changes related to affiliation batch processing
* Minor change related to token in tech contact email
* ..
* ..
* .
* fixed redirection link with added parameters..
* use the invitaion token  for oath stated...
* Updating changes related to batch affiliation
* Updating changes for Orcid login
* ..
* indexes on email addresses for performance boosting..
* improved query to reduce 'N + 1'... still needs more tuning
* invitation token fix
* added ORCID log-out
* fixed drop-down of the organisation for admin part
* fixed tests
* completed organisation selection via drop-down menu
* ..
* fixed email verification
* improvements of UI
* refactored form for EDU/EMP entry..
* ..
* so far ... TODO: integrate company selection
* Changes for avoiding repetative email sending
* ... [skip ci]
* fixed loging via ORCID, loging w/ invitation token
* ... [skip ci]
* ... [skip ci]
* buttons changed to icons and return url inclued all original queries..
* fix..
* ..
* ..
* fixed tokenizing..
* fixed issues with \_next url..
* refactored code to coply with flask-wtfomrs
* Changes related to ORCIDHUB-150, Now using flask admin to display member related to organisation
* removed role consolidation from user to avoid cyclic constraints..
* fixed passing of first name and last name to the orcid auth form..
* minor change
* ..
* ..
* more pre-filling..
* added form and stuff ... need to sort out onboarding and re-test for TUAKIRI users..
* Changes related to invitation to user for whome the ORCID id or ORCID token is not known
* fix..
* consolidated user roles with the relatinships to the organistion
* minor change related to created\_by and updated date
* fixed admin roles..
* fixed current\_user.id
* formatig..
* minor ORCID autofilling login form
* created\_by , updated\_by fixed..
* Minor UI changes
* added script for batch porcessing..
* regeneated docker images [skip ci]
* flask-mail replaced with python-email to support DKIM
* merged with email improvements
* formatting..
* [skip ci]..
* Minor changes related to ORCIDHUB-150
* Adding deny in ORCID flow
* implemented url shortening..
* handle multiple email addresses coming from TUAKIRI
* ..
* set up environments to pass through the ORCID API client\_id and client\_secret
* added batch support..
* fixed forms and partial date rendering ..
* ..
* invitaions grouped by eamils and names ..
* added model..
* Changes related to sending email in batch
* invitation form , added optional 'state/region' field to the organisation
* new  logo [skip ci]
* added form for inviting a user, refactored counry selecttor
* partial date valiation..
* missing EXTERNAL\_SP in production..
* added option to specify number of rows to process
* added more validation, fixed form and its rendering..
* added more validation ... [skip ci]
* added stubs for batch processing... [skip ci]
* ..
* added more fields..
* missing tempate... [skip ci]
* Changes for user-message
* added summary view
* Minor fix
* added tempate for plain text part. if it's missing convert HTML to mark-down plain text version
* fix..
* Changes related to edit and delete tooltip
* fix..
* ... [skip ci]
* ... [skip ci]
* Completed the changes for login via ORCID
* explicite background and foreground colors
* added plain-text part redered from a .plain template
* Minor changes
* added marking for batch processing action to the flask-admin view
* added batch processing ..
* handle smaller entries
* handle smaller entries
* send on-boarding invitations form the hub admin not from no-reply address
* send on-boarding invitations form the hub admin not from no-reply address
* send on-boarding invitations form the hub admin not from no-reply address
* send on-boarding invitations form the hub admin not from no-reply address
* send on-boarding invitations form the hub admin not from no-reply address
* send on-boarding invitations form the hub admin not from no-reply address
* added tracking of the invitations
* show button only for dev environment
* make it conditional
* orcid button hidden
* new favicon
* improved formatting..
* added task details to the list of loaded records
* file loading + data viewing using flask-admin [skip ci]
* Changes related to NZ ORCIDHUB Client\_id and Client\_secret
* Primary changes related to email invitation
* not all exceptions have descriptions
* changed loadeing of the csv.
* added some testing
* fixed unresolvable table creation order..
* Update index.html
* Update index.html
* fixed tests, org list moved to the constructor
* Changes for removing duplicate csv entiries
* Changes for ORCIDHUB-37
* Additional changes for researchers email
* force to refresh favicon
* voted for icon
* improved searching..
* added create\_by and updated\_by for auditing
* Changes related to ORCIDHUB-144
* added models for CSV processing tasks
* extra logging after sending the invitation ..
* application logging to apache logs..
* Update views.py
* added date-range selection
* Claiming both &copy; and CC-BY is a little odd
* Claiming both &copy; and CC-BY is a little odd
* Changes for using generic client id and Client secret in test and dev
* imprved logging, fixed formatting..
* travis fix
* Changes related to activities update and read limited
* Adding more changes related to ORCIDHUB-37
* Changes for uploading researcher data
* initial changes
* added date range for summary ..
* ..
* added even tracking support..
* Changes related to ORCIDHUB-143
* improvements of security: improved cypher, supressed TRACE
* Travis fix
* Update test\_reports.py
* Changes for ORCIDHUB-142
* ..
* fixed pyinfo test
* added time-stamp columns: created\_at, updated\_at..
* ..
* template with a chart..
* added summary report and test..
* Travis-fix
* Line breaks and less repetition
* Changes related to ORCIDHUB-142
* Changes for handling state while doing OAuth call
* Update authcontroller.py
* Bug fix
* filter replaced with search in text fields; implemented search in joined models..
* fixed modification of URL, added test, cleaned up code
* ..
* container fails translate the name instead of connecting..
* redirected logging to the docker logs. simplified configuration ..
* more cases where ORM  can fail...
* Reword read-limited description for clarity
* Fix iD in header
* Update about.html
* Update linking.html
* Minor tweak re authenticate
* Flash fix and image upload
* Travis fix
* Blocking tech contact to access link page
* Bug fix related to orcidtoken organisation
* Changes related to UI
* merge
* added function for propagating standby db to the master..
* Flash warning before getting permission
* CC-BY ify
* Got the Society's preferred CC Licence wrong
* Changes on linking page related to ORCIDHUB-88
* tweaking retry buttons
* tweak deny flash warning
* typo on unscoped affil warning
* Minor change to credential request
* Changes for ORCIDHUB-138
* Home page UI
* UI header changes
* implemented failover switch.
* spelling..
* refactored code and added batch invitation ..
* Update profile.html
* New Forcelogout changes related to ORCIDHUB-98
* added standby promotion trigger and disabled TRACE
* Minor UI change
* log only errors to docker log. apache custom/transfer log gets stored inot a file..
* implemented application logging to docker logs
* Minor changes related to enviornment
* Changes to force the user to login cleanly with ORCID while giving permissions
* fixed tooltips, remove incomatible jquery scripts and executed included layout scripts
* improved ORCID API logging, quickfix
* improved ORCID API logging
* [skip ci] include home dir
* removed the default orcid api credetntials
* Update config.py
* quickfix..
* quickfix
* cleaned up and validated generated HTML5 content..
* [skip ci] temporal favicons
* Production release fixes
* [skip ci] ..
* ..
* added logo ...
* Update authcontroller.py
* quickfix [skip ci]
* Adding authenticate scope for ORCIDHUB-97
* Changes for ORCIDHUB-98
* Changes in linking page
* Adding minor change for ORCIDHUB-97
* Changes related to ORCIDHUB-97
* fixed tests..
* [skip ci] ..
* implemented orcid api call logging..
* [skip ci] ..
* [skip ci] ..
* [skip ci] ..
* [skip ci] ..
* [skip ci] ..
* [skip ci] ..
* [skip ci] ..
* [skip ci] ..
* [skip ci] ..
* [skip ci] ..
* [skip ci] ..
* [skip ci] ..
* [skip ci] monkeypatched swagger\_client to log api calls
* Minor changes
* [skip ci] quickfix: tar returns non-0 if the files were changed during archiving
* quickfix
* quickfix
* quickfix
* Create SENDMAIL.md
* Create registration.html
* SES replaced with the local host sendmail..
* enable local sendmail..
* Update README.md
* quickfix..
* implemented pg connection with failover server
* [skip ci] added failover\_trigger file..
* Travis Fix
* Changes related to 134
* [skip ci] ..
* [skip ci] ..
* [skip ci] ..
* cleanup
* removed SECRET\_KEY from the app script
* removed all certs...
* [skip ci] removed certificates..
* fixed build
* fixed build
* remove the protected/encrypted keys
* user selfsigned keys in the build
* spelling in the docstring
* Code Review fix
* requst befor and after request can't be utilized
* need to have this redirect for the develpment
* [skip ci] restricted redirect
* added secure flag and httponly to prevent access from js
* quickfix
* place all instruction on the root level..
* Create config.py
* Propagating config.py changes
* remove extra info
* Minor changes to feed through to authcontroller
* Cleaning headers
* Revised About page
* HTTP TRACE / TRACK Methods disabled
* Changes related to ORCIDHUB-129 checkbox
* Changes for ORCIDHUB-129, Putting the comboBox
* Changes for ORCIDHUB-129, removing email from organisation table
* File export functionality related to ORCIDHUB-134
* Create models.py
* fixed tests..
* fixed tests..
* testing travis..
* testing travis..
* [skip ci] testing travis..
* fixed build
* fixed build
* fixed PG database gid and uid [skip ci]
* fixed PG database gid and uid [skip ci]
* [skip ci] added full DB backup..
* [skip ci] ..
* [skip ci] ..
* [skip ci] ..
* [skip ci] ..
* [skip ci] ..
* [skip ci]..
* Minor change related lower case email id
* [skip ci] run pustgres with the host uid and gid
* Minor change
* ...[skip ci]
* [skip ci] db config to suppor logshifting...
* Bug fix
* added secure form for flask-admin according to https://flask-admin.readthedocs.io/en/latest/advanced/#enabling-csrf-protection
* fixed..
* fix: select org by the tech contact
* fix: select org by the tech contact
* fixed templates
* user is linked as the tech contacte from the org
* added tests for affiliations..
* quickfix: missing calls to create\_employment, create\_education
* travis and minor cleanup
* Minor bug fix
* Changes for ORCIDHUB-52
* [skip ci] ..
* removed unused conifg variables..
* quickfix: missed saving of affiliations..
* added affiliation presentation and fixed tests
* affiliation moved to user\_org, implemented as a bitmap..
* Travis Fix
* Changes related to ORCIDHUB-126
* Mail bug fix
* ..
* ..
* ..
* quickfix..
* improved presentation of ORCID link
* Minor email image rendering change
* added filter and macro for building ORCID profile url
* Minor change
* First punt at an "About" page
* Update header.html
* Update orgconfirmation.html
* added about..
* added extra error handling and improved formating
* Update index.html
* Not sure if this is used, esp sidebar??
* Update base.html
* Update authcontroller.py
* Update authcontroller.py
* Update org\_invitation.html
* Cleaning up messaging
* added addition exception handling..
* [skip ci]..
* quickfix: tests
* Front page Changes
* missing footer template..
* romoved unused config parameters
* reformated with yapf and isort
* added footer with cc-by-nc logo with different sizes
* Minor change
* Review Changes
* so far ... [skip ci]
* Removing too many exclamation mark in the flash message
* Changes related to ORCIDHUB-103
* Header file changes
* Bug Fixes
* [skip ci] so far with rapid connect..
* [skip ci] ... so far
* Update initializedb.py
* Updating initialize DB, TODO# To discuss whom to give superuser access
* quickfix: added autorollback..
* Minor changes
* quickfix: don't show buttons if ORCID ID is missing
* [skip ci] ..
* quickfix: dealing with legacy data)
* Completed changes for ORCIDHUB-118
* quickfix: empty value -> NULL
* fixed test. improved formating with YAPF
* Bug fix
* fix..
* Changes related to ORCIDHUB-118
* added token editing for the superuser..
* [skip ci] ..
* [skip ci] ..
* [skip ci] ..
* Travis Fix
* Changes for ORCIDHUB-115
* quickfix: missing module
* Update README.md
* added account locking field
* Travis Fix
* Changes for ORCIDHUB-98
* fixed and refactored config
* added GA tracking snippet and codes for dev and test environtments
* Minor change to comment out the unimplemented functionality
* [skip ci] minor improvements
* handle case when on-boarding token is missing
* [skip ci] finalized inviation template..
* [skip ci] small banner image
* [skip ci] added image banner
* minor change
* [skip ci] fix..
* working email template...
* [skip ci] added template + a few improvements ..
* [skip ci] ..
* added functions for sending HTML email messages
* Minor bug fix
* fixed autocompletion..
* Review changes
* Update sticky-footer.css
* Update sticky-footer.css
* minor change
* Changes after review
* Update authcontroller.py
* Review changes
* Changes for ORCIDHUB-111, 104, 107, 105
* fixed import paths..
* fixed column index selection
* 1) disable FDT for test env; 2) connect test evn to production TUAKIRI
* Changes for ORCIDHUB-104
* fix to disable FDT
* added form for hub admin for organisation data loading
* added a command for data pre-loading..
* added testing..
* added data loading from CSV file
* added table for pre-loaded organisation data + cleaned up and fixed names to comply with the naming convention
* Update authcontroller.py
* Update orgconfirmation.html
* Update header.html
* fixed configuration and constant namings. removed unused literals
* Update viewMembers.html
* Update uoa-slo.html
* Update profile.html
* Update orgconfirmation.html
* Done changes for ORCIDHUB-95
* Update header.html
* disable all insecure suites
* Travis-CI fix
* fixed CA certificate chain..
* quickfix: certificate chain..
* quickfix... (#44)
* Bug fix related to ORCIDHUB-101
* a few improvements; TODO: redering of the profile... (#43)
* added certificate chain
* Changes related to ORCIDHUB-94 for updating employment details
* fixed issues with SSL on modile devices
* quickfix: testing
* Changes for ORCIDHUB-97 related to edu\_person\_affiliation field
* Update linking.html
* Update layout.html
* Update index.html
* Update header.html
* Update confirmation.html
* Update base.html
* quickfix - consistency in text and typo hunts
* improved formating with YAPF (#40)
* Orcidhub 99 (#39)
* Code cleanup (#38)
* fixed tests
* Update forms.py
* add missing org
* fix..
* Edu form (#37)
* Orcidhub 94 (#35)
* Orcidhub 94 (#34)
* Banner (#33)
* [skip ci] added new banner and changed navigation... (#32)
* Update views.py (#31)
* Orcidhub 96 (#30)
* Update README.md (#28)
* pass over all authentication headers..
* Update authcontroller.py
* Gravatar (#26)
* Flask admin (#25)
* Ext sp (#23)
* added support for external SP (#22)
* Coverage (#21)
* quickfix: mssages... [skip ci]
* small improvements [skip ci]
* quickfix: partial date for with all NULL values shoud be represented as None for ORCID payload
* Emp (#20)
* Orcidhub 54 orcidhub 9 (#19)
* Coverage (#18)
* added coveralls configuration and more tests (#17)
* Coverage (#16)
* Coverage (#15)
* quickfix..
* Coverage (#14)
* Coverage (#13)
* coverage report on "master" branch
* added coveralls badge
* fixed raw SQL execution (#12)
* Adding minor fix
* Orcidhub 82 (#10)
* added admin protection [skip ci] (#7)
* User orgs (#9)
* Flash Message update
* Travis CI
* Updating the Changes related to ORCIDHUB-82
* Minor change for removing circular dependency
* Fix apache invocation (#8)
* romove Apache PID file if it's still there (#6)
* User orgs (#5)
* quickfix [skip ci]
* Flask admin (#4)
* quick fix
* ..
* moved to PeeWee and tested..
* so far [skip ci]
* added admin interface for hub admin ..
* [skip ci] role=role should be replaced with current\_user.has\_roles(...) in the presenation layer
* ..
* [skip ci] added notes for refactoring
* added nav bar and started to fix UI..
* quickfix
* Minor apache bug fix for https redirect
* Minor changes related to affliation
* [skip ci] ..
* added change monitoring and improved application logging..
* Minor changes related to email
* Bug Fix Docker Compose
* activate mod\_wsgi daemon mode for improved functionality and performance [skip ci]
* Adding more minor fixes and Now we can add Multiple Admins per Research Organisation
* automatic docker restart added [skip ci]
* added workaround for UoA IdP
* Updating missing Changes related to onboarding
* improved messaging [skip ci]
* improved messaging [skip ci]
* improved messaging [skip ci]
* improved messaging, + logout after failed attempt to link to ORCiD
* added data removal..
* missing env variables for SMTP [skip ci]
* Updated the config file
* added package installation step
* Minor Travis Build Fix
* Defensible implementation of Onboarding Activity  # TODO: Bug fix and Unit Tests
* templates from UI0 [skip ci]
* missing config keys ... [skip ci]
* [skip ci]
* merged with the lates changes [skip ci]
* added common layout with simple Bootstrap4, flow according to the wireframes
* Partial implementation of organisational onboarding #TO CODE CLEAN UP and BugFix
* fixed logout..
* fixd test env keys [skip ci]
* logout from Tuakiri ..
* fixed source
* added DB reset for testing /Tuakiri/clear\_db
* less verbose build... [skip ci]
* fixed deployment
* fix
* a bug
* +removal of tale session
* added logout...
* log logs form docker compose..
* master merged [skip ci]
* merged [skip ci]
* missing keys
* ..
* since PG client software is removed the testing should be removed too
* optimized image, reduced the size [skip ci]
* ..
* fixed environment orcid callback url
* [skip ci]
* [skip ci]
* DB Changes done for initiating onboarding for research organisation
* fixed: key decryption ..
* fixed template and application invocation
* Adding unit test cases
* Minor change for updating redirect url
* restructures code [skip ci]
* ... [skip ci]
* .
* .
* missing test evn key-pair [skip ci]
* Changes for Autofilling the orcid form during affiliation process
* key-pair for dev SP [skip ci]
* encryted keys hidded ...[skip ci]
* encrypted keys and certs.. [skip ci]
* removed unneccessary packages [skip ci]
* merged with master [skip ci]
* fix
* the bug
* Update index.html
* a bug for the benefits of the demo
* .
* ..
* testing deployment..
* testing deployment..
* ..
* encrypted deployment keys
* disable redict interception [skip ci]
* added FdT [skip ci]
* fix [skip ci]
* enable DEBUG for development env [skip ci]
* enable DEBUG for development env [skip ci]
* map host ports to APP 80, 443 ports using environment variables..
* minor change
* travis fix
* Done changes for not redirecting user to ORCID.org if permission are already given to research organisation
* fixed tests
* PG 9.6 support
* missing packages
* fixed formating
* migrate to peewee
* Updating the changes related to Tuakiri login
* added SANs and alternative name for Shiboleth..
* more tests..
* ..
* Updating UI Changes
* ..
* a few missing things..
* ..
* added key extraction from the encripted keystore
* added key extraction from the encripted keystore
* added encripted keystore with server certificates [skip ci]
* fixed travis
* a few improvements..
* ..
* a few improvements..
* docker configuration ..
* Done changes for removing index page from Shibboleth wrapping
* customization during startup..
* Fixing Travis CI build errors
* Updating the Project url from https://test.orcidhub.org.nz/orcidhub/index to https://test.orcidhub.org.nz/index
* [skip ci]
* moved docker stuff for appliation image to the app dir for better maintainability
* ..
* formatting [skip ci]
* ..
* ..
* fixing code
* simple app test
* ..
* ..
* ..
* ..
* ..
* ..
* exec test with docker compose..
* Removing flake8 error in travis build
* troubleshooting
* wait until PostgreSQL starts up
* wait until PostgreSQL starts up
* .
* Update README.md
* .
* .
* .
* .
* fixed..
* let's give it a go
* email notifications
* HipChat notifications from Travis-CI
* separate repository for orcidhub on docker hub
* ready to rock and roll
* housekeeping..
* some useful info for dev/testing: /pyinfo
* plugged app; TODO: shibolleth config..
* Upgrading to Python 3.x version from Python 2.7
* improved internal naming
* Removing breakpoint and updating README.md file
* added Postgres support + psycopg2
* system composed; TODO: PostgreSQL and shibboleth configuration
* Project Initial Setup with postgresql connectivity
* docs..
* ..
* container for Flask app with WSIG (mod\_wsig). TODO: establish hub account for Royal Society
* initial cut; TODO: 1) setup cofiguration for dev, test, staging env; 2) publish on a docker image hub; 3) add to a CI/CD building and publishing
* Initial commit
